.modal-wrapper {
    @extend %fade_animation;

    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 0;
    display: flex;
    justify-content: center;
    overflow: hidden;
    outline: none;
    background-color: var(--overlay-color);
    z-index: var(--zindex-modal);
}

.modal-wrapper > .modal {
    position: absolute;
    margin: em(32);
    min-width: var(--modal-min-width);
    width: var(--min-width);
    transform: translateY(em(-32));
    transition: $period-animation transform;
}

.modal-wrapper.active {
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;

    > .modal {
        transform: none;
    }
}
